word_document {rmarkdown} | R Documentation

## Convert to an MS Word document

### Description

Format for converting from R Markdown to an MS Word document.

### Usage

    word_document(toc = FALSE, toc_depth = 3, fig_width = 5, fig_height = 4,
      fig_caption = TRUE, df_print = "default", highlight = "default",
      reference_docx = "default", keep_md = FALSE, md_extensions = NULL,
      pandoc_args = NULL)

### Arguments

`toc` | `TRUE` to include a table of contents in the output
`toc_depth` | Depth of headers to include in table of contents
`fig_width` | Default width (in inches) for figures
`fig_height` | Default width (in inches) for figures
`fig_caption` | `TRUE` to render figures with captions
`df_print` | Method to be used for printing data frames. Valid values include "default", "kable", "tibble", and "paged". The "default" method uses `print.data.frame`. The "kable" method uses the `knitr::kable` function. The "tibble" method uses the tibble package to print a summary of the data frame. The "paged" method creates a paginated HTML table (note that this method is only valid for formats that produce HTML). In addition to the named methods you can also pass an arbitrary function to be used for printing data frames. You can disable the df_print behavior entirely by setting the option `rmarkdown.df_print` to `FALSE`.
`highlight` | Syntax highlighting style. Supported styles include "default", "tango", "pygments", "kate", "monochrome", "espresso", "zenburn", and "haddock". Pass `NULL` to prevent syntax highlighting.
`reference_docx` | Use the specified file as a style reference in producing a docx file. For best results, the reference docx should be a modified version of a docx file produced using pandoc. Pass "default" to use the rmarkdown default styles.
`keep_md` | Keep the markdown file generated by knitting.
`md_extensions` | Markdown extensions to be added or removed from the default definition or R Markdown. See the `rmarkdown_format` for additional details.
`pandoc_args` | Additional command line options to pass to pandoc

### Details

See the online documentation for additional details on using the `word_document` format.

R Markdown documents can have optional metadata that is used to generate a document header that includes the title, author, and date. For more details see the documentation on R Markdown metadata.

R Markdown documents also support citations. You can find more information on the markdown syntax for citations in the Bibliographies and Citations article in the online documentation.

### Value

R Markdown output format to pass to `render`

### Examples

    ## Not run:

    library(rmarkdown)

    # simple invocation
    render("input.Rmd", word_document())

    # specify an option for syntax highlighting
    render("input.Rmd", word_document(highlight = "zenburn"))

    ## End(Not run)

[Package rmarkdown version 1.2 Index]